Class | Chef::Provider::HttpRequest
In: | lib/chef/provider/http_request.rb
Parent: | Chef::Provider

### Methods

action_delete action_get action_head action_post action_put load_current_resource

### Attributes

rest | [RW] |

### Public Instance methods

action_delete()

Send a DELETE request to @new_resource.url

action_get()

Send a GET request to @new_resource.url, with ?message=@new_resource.message

action_head()

Send a HEAD request to @new_resource.url, with ?message=@new_resource.message

action_post()

Send a POST request to @new_resource.url, with the message as the payload

action_put()

Send a PUT request to @new_resource.url, with the message as the payload

load_current_resource()

[Validate]